Issue: Unable to open Quicken Essentials on the new Sierra Mac OS

  • 36
  • 8
  • Problem
  • Updated 3 months ago
  • Solved
  • (Edited)
If you updated your Mac operating system to the recent Sierra release, Quicken Essentials will no longer work.  
Your Quicken Essentials data file is still safe and on your system, and can be opened on your Sierra system by converting the file to Quicken Mac 2017.  

If you have Quicken Essentials and have already upgraded to Sierra, you can purchase and install Quicken 2017 for Mac and easily migrate your Essentials file to Quicken 2017.
Photo of Quicken Kathryn

Quicken Kathryn, Official Rep

  • 111,400 Points 100k badge 2x thumb

Posted 4 months ago

  • 36
  • 8
Photo of Wendy Fish

Wendy Fish

  • 82 Points 75 badge 2x thumb
This reply was created from a merged topic originally titled Should I update from Essentials to the latest version of Quicken before or after ....

I currently have Quicken Essentials 1.7.4 running on Yosemite. I would like to update to Sierra. I know that Essentials is no longer supported, but I would like to know if I should update to the latest version of Quicken before I update to Sierra, or should I install Sierra first?
Photo of Rosemary McGee

Rosemary McGee

  • 92 Points 75 badge 2x thumb
This reply was created from a merged topic originally titled I downloaded Sierra on my Mac. My Quicken Essentials are gone. I purchased the ....

This conversation is no longer open for comments or replies.